com.amazon.redshift.plugin.httpserver

## Class RequestHandler

- java.lang.Object
- - com.amazon.redshift.plugin.httpserver.RequestHandler

    public class RequestHandler
    extends Object

Post http request handler. Responsible on showing "Complete request" page.

### Field Summary

Fields
`static String` `REDSHIFT_PATH` String containing the path.

### Constructor Summary

Constructors
Constructor and Description
`RequestHandler(<any> requestProcessLogic)` Constructor.

### Method Summary

Methods
`Object` `getResult()`
`void` `handle(HttpRequest request, HttpResponse response, HttpContext context)`
`boolean` `hasResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REDSHIFT_PATH

    public static final String REDSHIFT_PATH

String containing the path.

See Also:
  Constant Field Values

### Constructor Detail

#### RequestHandler

    public RequestHandler(<any> requestProcessLogic)

Constructor.

Parameters:
  `requestProcessLogic` - Function with List of NameValuePair.

### Method Detail

#### handle

    public void handle(HttpRequest request,
              HttpResponse response,
              HttpContext context)
                throws HttpException,
                       IOException

Throws:
  `HttpException`
  `IOException`

#### getResult

    public Object getResult()

Returns:
  the result object.

#### hasResult

    public boolean hasResult()

Returns:
  true if result is not null.